Subject: Re: libnet-pcap-perl ??
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 06 Apr 2005 11:54:50 -0700

Brian Ford wrote:

> > The problem with all this is that the winpcap DLLs are compiled with
> > Mingw and depend on msvcrt, so if you want to use them with Cygwin apps
> > you have to recompile them to use cygwin1.dll.  If you don't do this,
> > the libpcap application (Net::Pcap in this case) will compile but fail
> > to run correctly.
> 
> Just curious what this really means.  I use the winpcap DLLs daily in a
> Cygwin appliction (custom, not Perl) without incident.  Am I just lucky?

I'm not entirely sure either. :-)  I too have "fudged it" and gotten
some apps to work, but with strage behavior sometimes.  Run cygcheck on
the app and see if it's loading both cygwin1.dll and msvcr*.dll, if so
then it's luck.  I think it mostly tends to work because the winpcap
stuff doesn't call the C runtime for much.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/